走啊走
wordpress安装

万网虚拟机网站搬家数据库版本不支持怎么办?

万网虚拟机网站搬家数据库版本不支持怎么办?

常见问题,这个mysql版本不支持的话会报错的,根据提示信息然后批量的替换一下你备份的sql文件就可以了,主要是字符集等情况。一般是一下这个类型的错误。

今天将一个数据库导入到本地环境时,提示 #1273 – Unknown collation: ‘utf8mb4_unicode_520_ci’ 错误,具体如下图所示:

原因是数据库版本差异,导致wordpress数据库的编码整理方式不一样。MySQL 5.6 以及以上版本下,安装 WordPress 4.6 及以上版本的时候,默认的编码整理方式为 utf8mb4_unicode_520_ci,但是 MySQL 5.5 及以下版本的数据库,不支持 utf8mb4_unicode_520_ci,所以无法导入。

处理的办法,就是使用 sublime text 等代码编辑器,打开 .sql 数据库,然后批量查找替换所有的 utf8mb4_unicode_520_ci 为 utf8mb4_unicode_ci ,保存后上传即可。

 

微信订阅号:wordpress8—ECS共享型s6的WordPress安装 » 万网虚拟机网站搬家数据库版本不支持怎么办?

评论 抢沙发

#快捷签到点我#

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址
ECS突发性能T6-99元/年
力荐

阿里云服务器,ECS共享型S6新品低至69.86/年

阅读(1502)评论(242)

新用户专属小站价,爆款产品1折起,百度云服务器之前买的特价大概100块钱左右一年的吧,大概还有一个月就要过期了,平时没怎么用基本是空着的,做一些测试用,今天去百度云续费域名,结果发现又有活动团购价格62元/6个月的价格,感觉比较划算六十多块钱买半年,这个价格还是比较诱人的,...

ECS突发性能T6-99元/年
新手必看

wordpress建站首选云服务器229.00/3年

阅读(2822)评论(242)

新用户专属小站价,爆款产品1折起爆款产品5折起,新老用户同享优惠,限时抢购,指定云产品使用 限新用户 最高¥2000...

本站正在用的阿里云ECS服务器,主机低至102元/年 阿里云特惠通道
阿里云服务器ECS共享型s6,一台服务器可以搭建很多个网站 前往查看